package org.lantsovanton.abstraction.model;



public interface IPosition extends Cloneable{
	
	public int getPlayer();
	public IChip get( int h, int l );
	public int getHight();
	public int getWidth();
	public void set( int h, int l, IChip counter  );
	public void setPlayer( int player );
	public void addListener( IListener listener  );
	public void removeListener( IListener listener );
	public Object clone();
	public boolean equals( Object o );
}
